### File

`src/lib/navigate-back-button/navigate-back-button.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
host | `{ }`
selector | `rxap-navigate-back-button`
standalone | `true`
imports | `MatButtonModule` `MatIconModule`
styleUrls | `./navigate-back-button.component.scss`
templateUrl | `./navigate-back-button.component.html`

### Index

###### Methods
Public navigateBack

### Methods

Public navigateBack
`navigateBack()`
Defined in src/lib/navigate-back-button/navigate-back-button.component.ts:20
Returns : `void`

    import {
      ChangeDetectionStrategy,
      Component,
    } from '@angular/core';
    import { MatButtonModule } from '@angular/material/button';
    import { MatIconModule } from '@angular/material/icon';

    @Component({
      selector: 'rxap-navigate-back-button',
      templateUrl: './navigate-back-button.component.html',
      styleUrls: [ './navigate-back-button.component.scss' ],
      changeDetection: ChangeDetectionStrategy.OnPush,
      // eslint-disable-next-line @angular-eslint/no-host-metadata-property
      host: { class: 'rxap-navigate-back-button' },
      standalone: true,
      imports: [ MatButtonModule, MatIconModule ],
    })
    export class NavigateBackButtonComponent {

      public navigateBack() {
        window.history.back();
      }

    }

    <div class="rxap-container flex flex-row justify-start items-center gap-8">
      <div class="grow-0">
        <button type="button" (click)="navigateBack()" mat-stroked-button>
          <mat-icon>navigate_before</mat-icon>
        </button>
      </div>
      <ng-content></ng-content>
    </div>

`./navigate-back-button.component.scss`

    .rxap-container {
      ::ng-deep {
        h1, h2, h3, h4, h5, h6 {
          margin: 0;
        }
      }
    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""